Subject: Re: bug#75672: 31.0.50; scratch/igc memory usage/collection issues

From: Stefan Kangas <[email-masked]>
Date: Sun, 19 Jan 2025 09:54:12 -0800

Pip Cet <[email-masked]> writes:

>> First, I'm not sure that `gc-cons-threshold` will even affect MPS.
>
> It shouldn't.  The decision what to do with an incremental garbage
> collector is so different that we cannot do anything useful with that
> variable.

That's what I was thinking, indeed.  So I documented that in commit
4fd6a61605b.  Please take a look, and feel free to tweak it.

We will also eventually need to rewrite (info "(elisp) Garbage
Collection") on feature/igc, but I left that alone for now.